/* set up color variables */
:root {
    --dark-purple: #5E3163;
    --med-purple: #8e6593;
    --light-purple: #cba7cf;
    --charcoal: #333333;
    --error-back: #F7BEBE;
    --error-text: #D80000;
    --hover-peach: #FFDAB9;
    --visited-grey: #c6c6c6;
    --light-grey: #dedede;
    --black: #000000;
    --white: #ffffff;
}

/* Tiny classes */
.flex {display: flex;}
.center {justify-content: center; align-items: center;}
.text-large {font-size: 150%;}
.pad-20 {padding: 20px;}
.pad-10-round {padding: 10px; border-radius: 10px;}

/* set viewpoint for height of 100% so that footer sticks to the bottom */
html, body {
    height: 100%;
}

body {
    margin: 0;
    padding: 0;

    background-color: var(--dark-purple);
    color: var(--white);

    font-family: 'Libre Baskerville', serif;
}

h1 {
    font-family: 'IM Fell English', serif;
    font-size: 400%;
}

.logo-image {
    background-color: var(--white);
    height: 75px;
    width: auto;
    margin-right: 20px;
}

.nav-button{
    text-decoration: none;
    margin-right: 10px;
}

.nav-button:link, .nav-button:visited{
    background-color: var(--light-purple);
}

.nav-button:hover{
    background-color: var(--hover-peach);
}